import numpy as np
from mayavi import mlab

x, y, z = np.ogrid[-7:7:0.5, -7:7:0.5, -1:7:0.5]
scalars = x * x + y * y - z * z

src = mlab.pipeline.scalar_field(scalars)
cut_pl = mlab.pipeline.cut_plane(src)
mlab.pipeline.surface(cut_pl)
mlab.pipeline.iso_surface(src, contours=3, transparent=True)

mlab.show()
